function x = SolveLR(b,LR)
% Solves linear system LR=b, where LR is already decomposed 
% into the LR-decomposition. The LR-decomposition can be stored into
% a single matrix.

% First step: Solve Lz = b by forward substitution:
z = ForwardSub(LR,b);
% Second Step: Solve Rx = z by backward substitution:
x = BackwardSub(LR,z);